AuthnTokenMasLogistics Bearer Token (JWT) MasLogistics Squad — mas_logistics@masmovil.com
| Resource | Description |
|---|---|
| Base products | Operations to get base products |
| Products | Operations to get products |
| Characteristics | Operations to get characteristics |
| Delivery commitment | Operations to get delivery commitment |
| Inputs | Operations with inputs |
| Input Types | Operations with input types |
| Outputs | Operations with outputs |
| Output Types | Operations with output types |
| Stock | Operations with stock |
| Physical Warehouse | Operations with physical warehouse |
| Virtual Warehouse | Operations with virtual warehouse |
| Returns | Operations with returns |
| Devices | Operations with devices |
| Providers | |
| Logistic Operators | |
| Commercial Brands | |
| Status | |
| Categories | |
| Purposes | |
| Regions | |
| Countries | |
| Receptors | |
| Characteristics Values | |
| Sales Channel | |
| Tenant group brand | |
| Organizations | |
| Sap Ordering | |
| Report importer |
AuthnTokenMasLogistics Bearer Token (JWT) MasLogistics Squad — mas_logistics@masmovil.com
| Resource | Description |
|---|---|
| Base products | Operations to get base products |
| Products | Operations to get products |
| Characteristics | Operations to get characteristics |
| Delivery commitment | Operations to get delivery commitment |
| Inputs | Operations with inputs |
| Input Types | Operations with input types |
| Outputs | Operations with outputs |
| Output Types | Operations with output types |
| Stock | Operations with stock |
| Physical Warehouse | Operations with physical warehouse |
| Virtual Warehouse | Operations with virtual warehouse |
| Returns | Operations with returns |
| Devices | Operations with devices |
| Providers | |
| Logistic Operators | |
| Commercial Brands | |
| Status | |
| Categories | |
| Purposes | |
| Regions | |
| Countries | |
| Receptors | |
| Characteristics Values | |
| Sales Channel | |
| Tenant group brand | |
| Organizations | |
| Sap Ordering | |
| Report importer |
Insert a base product
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Information needed to insert a base product
{
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | minLength: 1, maxLength: 50 | ||
commercialBrand* | integer | min: 1 | ||
category* | integer | min: 1 | ||
vatTax | number | |||
digitalCanon | number | |||
unitsInPalet | integer | |||
unitsInBox | integer | |||
eolDate | string (date) | |||
substitute | string | minLength: 0, maxLength: 50 | ||
swapsRate | number | |||
billingCategory | string | minLength: 0, maxLength: 15 | ||
organization | string |
OK Success
{
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM",
"characteristics": [
{
"name": "Color",
"value": "Black"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productBaseId | integer | ||||||||||||||||||
name* | string | minLength: 1, maxLength: 100 | |||||||||||||||||
commercialBrand* | integer | ||||||||||||||||||
category* | integer | ||||||||||||||||||
vatTax | number | ||||||||||||||||||
digitalCanon | number | ||||||||||||||||||
unitsInPalet | integer | ||||||||||||||||||
unitsInBox | integer | ||||||||||||||||||
eolDate | string (date) | ||||||||||||||||||
substitute | string | minLength: 0, maxLength: 50 | |||||||||||||||||
swapsRate | number | ||||||||||||||||||
billingCategory | string | minLength: 0, maxLength: 15 | |||||||||||||||||
organization | string | ||||||||||||||||||
characteristics | object[] | ||||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM"
}' Get a list of all existing base products with the query search, can search by any parameters in a base product, its necessary at leaste one query parameter
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Information needed to update a base product
{
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name | string | minLength: 1, maxLength: 100 | ||
commercialBrand | integer | |||
category | integer | |||
vatTax | number | |||
digitalCanon | number | |||
unitsInPalet | integer | |||
unitsInBox | integer | |||
eolDate | string (date) | |||
substitute | string | minLength: 0, maxLength: 50 | ||
swapsRate | number | |||
billingCategory | string | minLength: 0, maxLength: 15 | ||
organization | string |
OK Success
[
{
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM",
"characteristics": [
{
"name": "Color",
"value": "Black"
}
]
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productBaseId | integer | ||||||||||||||||||
name* | string | minLength: 1, maxLength: 100 | |||||||||||||||||
commercialBrand* | integer | ||||||||||||||||||
category* | integer | ||||||||||||||||||
vatTax | number | ||||||||||||||||||
digitalCanon | number | ||||||||||||||||||
unitsInPalet | integer | ||||||||||||||||||
unitsInBox | integer | ||||||||||||||||||
eolDate | string (date) | ||||||||||||||||||
substitute | string | minLength: 0, maxLength: 50 | |||||||||||||||||
swapsRate | number | ||||||||||||||||||
billingCategory | string | minLength: 0, maxLength: 15 | |||||||||||||||||
organization | string | ||||||||||||||||||
characteristics | object[] | ||||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/search' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM"
}' Get a base products with their characteristics searching by product base id
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
OK Success
[
{
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM",
"characteristics": [
{
"name": "Color",
"value": "Black"
}
]
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productBaseId | integer | ||||||||||||||||||
name* | string | minLength: 1, maxLength: 100 | |||||||||||||||||
commercialBrand* | integer | ||||||||||||||||||
category* | integer | ||||||||||||||||||
vatTax | number | ||||||||||||||||||
digitalCanon | number | ||||||||||||||||||
unitsInPalet | integer | ||||||||||||||||||
unitsInBox | integer | ||||||||||||||||||
eolDate | string (date) | ||||||||||||||||||
substitute | string | minLength: 0, maxLength: 50 | |||||||||||||||||
swapsRate | number | ||||||||||||||||||
billingCategory | string | minLength: 0, maxLength: 15 | |||||||||||||||||
organization | string | ||||||||||||||||||
characteristics | object[] | ||||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Update a base product by its id
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Base product id to update
Information needed to update a base product
{
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | minLength: 1, maxLength: 50 | ||
commercialBrand* | integer | min: 1 | ||
category* | integer | min: 1 | ||
vatTax | number | |||
digitalCanon | number | |||
unitsInPalet | integer | |||
unitsInBox | integer | |||
eolDate | string (date) | |||
substitute | string | minLength: 0, maxLength: 50 | ||
swapsRate | number | |||
billingCategory | string | minLength: 0, maxLength: 15 | ||
organization | string |
OK Success
{
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM",
"characteristics": [
{
"name": "Color",
"value": "Black"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productBaseId | integer | ||||||||||||||||||
name* | string | minLength: 1, maxLength: 100 | |||||||||||||||||
commercialBrand* | integer | ||||||||||||||||||
category* | integer | ||||||||||||||||||
vatTax | number | ||||||||||||||||||
digitalCanon | number | ||||||||||||||||||
unitsInPalet | integer | ||||||||||||||||||
unitsInBox | integer | ||||||||||||||||||
eolDate | string (date) | ||||||||||||||||||
substitute | string | minLength: 0, maxLength: 50 | |||||||||||||||||
swapsRate | number | ||||||||||||||||||
billingCategory | string | minLength: 0, maxLength: 15 | |||||||||||||||||
organization | string | ||||||||||||||||||
characteristics | object[] | ||||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X PUT 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "Smartphone",
"commercialBrand": 53,
"category": 5,
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"billingCategory": "sim",
"organization": "MM"
}' Get a list of all existing products with their characteristics
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
OK Success
{
"products": [
{
"productId": 1,
"productBase": {
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": {
"commercialBrandId": 1,
"name": "Alcatel",
"contactInfoId": 1
},
"category": {
"categoryId": 1,
"family": {
"familyId": null,
"name": null
},
"subfamily": "subfamily"
},
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"organization": "MM",
"billingCategory": "MM",
"characteristics": [
{
"name": null,
"value": null
}
]
},
"status": {
"statusId": 1,
"name": "status"
},
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"name": "Smartphone",
"purpose": {
"purposeId": 1,
"name": "purpose"
},
"inwarehousePrice": 0,
"reference": "REF223",
"currency": "EUR",
"phPrice": 123.9,
"purchasePrice": 12.9,
"createdDate": "2021-09-24",
"updatedDate": "2021-09-24",
"bundle": [
{
"bundleId": 1,
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
products | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId/products' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Insert a product asssociated to base product id
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
base product id
Information needed to insert a product
{
"name": "Smartphone",
"status": 1,
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"purchasePrice": 180.5,
"phPrice": 24.99,
"reference": "reference",
"inwarehousePrice": 50.5,
"currency": "EUR",
"purpose": 1,
"productsInBundle": [
{
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
name* | string | minLength: 1, maxLength: 60 | |||||||||||||||||||||||||||||||||||||||||||||||
status* | integer | ||||||||||||||||||||||||||||||||||||||||||||||||
isbundle* | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||
phReference | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
upcEan | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
partnumber | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
releaseDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||
retireDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||
sapOrderingAux* | object | ||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||
retrievable | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||
purchasePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||
phPrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||
reference | string | minLength: 1, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
inwarehousePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||
currency | string | minLength: 3, maxLength: 3 | |||||||||||||||||||||||||||||||||||||||||||||||
purpose | integer | ||||||||||||||||||||||||||||||||||||||||||||||||
productsInBundle | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
stockProperty | string
()
PropiedadCesiónConsigna | ||||||||||||||||||||||||||||||||||||||||||||||||
Created Success
{
"productId": 1,
"productBase": {
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": {
"commercialBrandId": 1,
"name": "Alcatel",
"contactInfoId": 1
},
"category": {
"categoryId": 1,
"family": {
"familyId": 1,
"name": "family"
},
"subfamily": "subfamily"
},
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"organization": "MM",
"billingCategory": "MM",
"characteristics": [
{
"name": "Color",
"value": "Black"
}
]
},
"status": {
"statusId": 1,
"name": "status"
},
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"name": "Smartphone",
"purpose": {
"purposeId": 1,
"name": "purpose"
},
"inwarehousePrice": 0,
"reference": "REF223",
"currency": "EUR",
"phPrice": 123.9,
"purchasePrice": 12.9,
"createdDate": "2021-09-24",
"updatedDate": "2021-09-24",
"bundle": [
{
"bundleId": 1,
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productId | integer | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
productBase | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
isbundle | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phReference | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
upcEan | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
partnumber | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
releaseDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
retireDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sapOrderingAux | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
retrievable | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string | minLength: 1, maxLength: 60 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purpose | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
inwarehousePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
reference | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currency | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phPrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purchasePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
createdDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
updatedDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
bundle | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
stockProperty | string
()
PropiedadCesiónConsigna | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/1/products' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "Smartphone",
"status": 1,
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"purchasePrice": 180.5,
"phPrice": 24.99,
"reference": "reference",
"inwarehousePrice": 50.5,
"currency": "EUR",
"purpose": 1,
"productsInBundle": [
{
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
}' Get a list of all existing products with the query search, can search by any parameters in a product, its necessary at least one query parameter
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
Page size
Page number
Sort value, multiple values allowed, separte with coma
Group value, multiple values allowed, separte with coma
Sorting order
Information needed to update a base product
{
"productId": 1,
"productBaseId": 1,
"name": "Smartphone",
"status": 1,
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partNumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAuxId": 10,
"retrievable": true,
"purchasePrice": 180.5,
"phPrice": 24.99,
"reference": "reference",
"inwarehousePrice": 50.5,
"currency": "EUR",
"purpose": 1,
"stockProperty": "Propiedad"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
productId | integer | |||
productBaseId | integer | |||
name | string | minLength: 1, maxLength: 60 | ||
status | integer | |||
isbundle | boolean | |||
phReference | string | minLength: 0, maxLength: 50 | ||
upcEan | string | minLength: 0, maxLength: 50 | ||
partNumber | string | minLength: 0, maxLength: 50 | ||
releaseDate | string (date) | |||
retireDate | string (date) | |||
sapOrderingAuxId | integer | |||
retrievable | boolean | |||
purchasePrice | number | |||
phPrice | number | |||
reference | string | minLength: 1, maxLength: 50 | ||
inwarehousePrice | number | |||
currency | string | minLength: 3, maxLength: 3 | ||
purpose | integer | |||
stockProperty | string
()
PropiedadCesiónConsigna |
OK Success
{
"pageSize": 123,
"totalPages": 10,
"currentPage": 1,
"totalElements": 3000,
"products": [
{
"productId": 1,
"productBase": {
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": {
"commercialBrandId": null,
"name": null,
"contactInfoId": null
},
"category": {
"categoryId": null,
"family": null,
"subfamily": null
},
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"organization": "MM",
"billingCategory": "MM",
"characteristics": [
null
]
},
"status": {
"statusId": 1,
"name": "status"
},
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"name": "Smartphone",
"purpose": {
"purposeId": 1,
"name": "purpose"
},
"inwarehousePrice": 0,
"reference": "REF223",
"currency": "EUR",
"phPrice": 123.9,
"purchasePrice": 12.9,
"createdDate": "2021-09-24",
"updatedDate": "2021-09-24",
"bundle": [
{
"bundleId": null,
"productId": null,
"quantity": null
}
],
"stockProperty": "Propiedad"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
pageSize | integer | Page size | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
totalPages | integer | Total pages for page size | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currentPage | integer | Current page | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
totalElements | integer | Total element | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
products | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/products/search?size=100&page=1&sort=STATUS&grouped=STATUS&order=ASC' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"productId": 1,
"productBaseId": 1,
"name": "Smartphone",
"status": 1,
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partNumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAuxId": 10,
"retrievable": true,
"purchasePrice": 180.5,
"phPrice": 24.99,
"reference": "reference",
"inwarehousePrice": 50.5,
"currency": "EUR",
"purpose": 1,
"stockProperty": "Propiedad"
}' Get a concrete product with its characteristics. If bundle retrieves bundle info.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
product id
OK Success
{
"productId": 1,
"productBase": {
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": {
"commercialBrandId": 1,
"name": "Alcatel",
"contactInfoId": 1
},
"category": {
"categoryId": 1,
"family": {
"familyId": 1,
"name": "family"
},
"subfamily": "subfamily"
},
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"organization": "MM",
"billingCategory": "MM",
"characteristics": [
{
"name": "Color",
"value": "Black"
}
]
},
"status": {
"statusId": 1,
"name": "status"
},
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"name": "Smartphone",
"purpose": {
"purposeId": 1,
"name": "purpose"
},
"inwarehousePrice": 0,
"reference": "REF223",
"currency": "EUR",
"phPrice": 123.9,
"purchasePrice": 12.9,
"createdDate": "2021-09-24",
"updatedDate": "2021-09-24",
"bundle": [
{
"bundleId": 1,
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productId | integer | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
productBase | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
isbundle | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phReference | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
upcEan | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
partnumber | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
releaseDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
retireDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sapOrderingAux | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
retrievable | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string | minLength: 1, maxLength: 60 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purpose | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
inwarehousePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
reference | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currency | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phPrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purchasePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
createdDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
updatedDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
bundle | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
stockProperty | string
()
PropiedadCesiónConsigna | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId/products/:productId' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Update a product by its id and its base productId
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Base product id to update
Product id to update
Information needed to update a product
{
"name": "Smartphone",
"status": 1,
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"purchasePrice": 180.5,
"phPrice": 24.99,
"reference": "reference",
"inwarehousePrice": 50.5,
"currency": "EUR",
"purpose": 1,
"productsInBundle": [
{
"bundleId": 1,
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
name* | string | minLength: 1, maxLength: 60 | |||||||||||||||||||||||||||||||||||||||||||||||
status* | integer | ||||||||||||||||||||||||||||||||||||||||||||||||
isbundle* | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||
phReference | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
upcEan | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
partnumber | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
releaseDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||
retireDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||
sapOrderingAux* | object | ||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||
retrievable | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||
purchasePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||
phPrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||
reference | string | minLength: 1, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||
inwarehousePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||
currency | string | minLength: 3, maxLength: 3 | |||||||||||||||||||||||||||||||||||||||||||||||
purpose | integer | ||||||||||||||||||||||||||||||||||||||||||||||||
productsInBundle | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
stockProperty | string
()
PropiedadCesiónConsigna | ||||||||||||||||||||||||||||||||||||||||||||||||
OK Success
{
"productId": 1,
"productBase": {
"productBaseId": 1,
"name": "Smartphone",
"commercialBrand": {
"commercialBrandId": 1,
"name": "Alcatel",
"contactInfoId": 1
},
"category": {
"categoryId": 1,
"family": {
"familyId": 1,
"name": "family"
},
"subfamily": "subfamily"
},
"vatTax": 2.5,
"digitalCanon": 1.3,
"unitsInPalet": 1500,
"unitsInBox": 5,
"eolDate": "2021-09-24",
"substitute": "mobile2",
"swapsRate": 1.5,
"organization": "MM",
"billingCategory": "MM",
"characteristics": [
{
"name": "Color",
"value": "Black"
}
]
},
"status": {
"statusId": 1,
"name": "status"
},
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"name": "Smartphone",
"purpose": {
"purposeId": 1,
"name": "purpose"
},
"inwarehousePrice": 0,
"reference": "REF223",
"currency": "EUR",
"phPrice": 123.9,
"purchasePrice": 12.9,
"createdDate": "2021-09-24",
"updatedDate": "2021-09-24",
"bundle": [
{
"bundleId": 1,
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
productId | integer | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
productBase | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
isbundle | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phReference | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
upcEan | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
partnumber | string | minLength: 0, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
releaseDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
retireDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sapOrderingAux | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
retrievable | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string | minLength: 1, maxLength: 60 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purpose | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
inwarehousePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
reference | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currency | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phPrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purchasePrice | number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
createdDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
updatedDate | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
bundle | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
stockProperty | string
()
PropiedadCesiónConsigna | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X PUT 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/1/products/1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "Smartphone",
"status": 1,
"isbundle": false,
"phReference": 2,
"upcEan": 2,
"partnumber": 1,
"releaseDate": "2021-09-24",
"retireDate": "2021-09-24",
"sapOrderingAux": {
"sapOrderingAuxId": 1,
"companyInvoice": "company",
"productSapCode": 1,
"productSapDescription": "description",
"productSapMaterial": "material",
"productSapFamilyCode": 1,
"providerId": 1,
"supplierToProviderId": 1
},
"retrievable": true,
"purchasePrice": 180.5,
"phPrice": 24.99,
"reference": "reference",
"inwarehousePrice": 50.5,
"currency": "EUR",
"purpose": 1,
"productsInBundle": [
{
"bundleId": 1,
"productId": 1,
"quantity": 1
}
],
"stockProperty": "Propiedad"
}' Add characteristics to a base product
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
Characteristics to add
[
{
"name": "Color",
"value": "Blue"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | |||
value* | string |
OK Success
{
"message": "2 characteristics updated"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | result of the operation |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId/characteristics' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '[
{
"name": "Color",
"value": "Blue"
}
]' Delete base product characteristics
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
Characteristics to delete
[
{
"name": "Color",
"value": "Blue"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | |||
value* | string |
OK Success
{
"message": "2 characteristics updated"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | result of the operation |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X DELETE 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId/characteristics' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '[
{
"name": "Color",
"value": "Blue"
}
]' Add characteristics to a product
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
product id
Characteristics to add
[
{
"name": "Color",
"value": "Blue"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | |||
value* | string |
OK Success
{
"message": "2 characteristics updated"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | result of the operation |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId/products/:productId/characteristics' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '[
{
"name": "Color",
"value": "Blue"
}
]' Delete product characteristics
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
product id
Characteristics to delete
[
{
"name": "Color",
"value": "Blue"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | |||
value* | string |
OK Success
{
"message": "2 characteristics updated"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | result of the operation |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X DELETE 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId/products/:productId/characteristics' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '[
{
"name": "Color",
"value": "Blue"
}
]' Get the default commitment for orders from the provider.If provider not specified, gives all commitments from all providers for that product.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
product base id
product id
QUERY PARAMETERS
status
OK Success
[
{
"productId": 1,
"providerId": 1,
"minWeeks": 10,
"maxWeeks": 1,
"deliveryWeeks": 2
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
productId | integer | |||
providerId | integer | |||
minWeeks | integer | |||
maxWeeks | integer | |||
deliveryWeeks | integer |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/base_products/:baseId/products/:productId/delivery_commitment' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get input by params and/or date ranges.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
Product id
Initial week to search for, in wwyyyy format
Final week to search for, in wwyyyy format
Page number for pagination
Page size for pagination
input type
OK Success
[
{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
inputId | integer | min: 1 | ||
reference | string | |||
productId | integer | |||
amount | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate | string (date) | |||
orderOlId | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | |||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 0, maxLength: 50 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
pWarehouseId | integer | |||
comments | string |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/inputs?product=1&from=012022&to=522022&page=1&size=10&type=1%2C2%2C3' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Insert an input.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Information needed to insert a input
{
"reference": 1,
"pWarehouseId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "EUR",
"type": 1,
"ean": 112312,
"billableCompany": "XFERA",
"comments": "comments"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reference | string | |||
pWarehouseId* | integer | |||
amount* | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate* | string (date) | |||
orderOlId* | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice* | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | false | ||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 3, maxLength: 3 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
comments | string |
OK Success
{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
inputId | integer | min: 1 | ||
reference | string | |||
productId | integer | |||
amount | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate | string (date) | |||
orderOlId | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | |||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 0, maxLength: 50 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
pWarehouseId | integer | |||
comments | string |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/inputs' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"reference": 1,
"pWarehouseId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "EUR",
"type": 1,
"ean": 112312,
"billableCompany": "XFERA",
"comments": "comments"
}' Get an input by its id.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
input id to update
OK Success
{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
inputId | integer | min: 1 | ||
reference | string | |||
productId | integer | |||
amount | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate | string (date) | |||
orderOlId | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | |||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 0, maxLength: 50 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
pWarehouseId | integer | |||
comments | string |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/inputs/1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Update an input by its id. The json must contain the full object with all attributes except input_id
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
input id to update
Input dto
{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
inputId | integer | min: 1 | ||
reference | string | |||
productId* | integer | |||
amount* | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate* | string (date) | |||
orderOlId* | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice* | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | |||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 0, maxLength: 50 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
pWarehouseId* | integer | |||
comments | string |
OK Success
{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
inputId | integer | min: 1 | ||
reference | string | |||
productId | integer | |||
amount | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate | string (date) | |||
orderOlId | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | |||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 0, maxLength: 50 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
pWarehouseId | integer | |||
comments | string |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X PUT 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/inputs/1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
}' Insert multiple device with details.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Information needed to insert a device
{
"order_number": "4000003264",
"provider_delivery_id": "3",
"input_date": "2009-01-13",
"details": [
{
"reference": "G034W54G2",
"model": "Samsung Galaxy Watch5 44mm BT Silver",
"color": "Plata",
"device_type": "SmartWatch",
"brand": "Samsung",
"quantity": 10,
"devices": [
{
"imei": "864467060074057",
"imei2": "864467060074057",
"serial_number": "RFAT73D511Z"
}
]
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
order_number | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
provider_delivery_id | string | minLength: 1, maxLength: 50 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
input_date | string (date) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
details | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
OK Success
[
{
"deviceId": 0,
"imei": "864467060074057",
"imei2": "864467060074057",
"serialNumber": "RFAT73D511Z",
"brand": "Samsung",
"model": "Samsung Galaxy Watch5 44mm BT Silver",
"reference": "G034W54G2",
"color": "Plata",
"deviceType": "SmartWatch",
"orderNumber": "4000003264",
"providerDeliveryId": "3",
"loadDate": "2009-01-13",
"inputDate": "2009-01-13",
"createDate": "2009-01-13",
"updateDate": "2009-01-13"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deviceId | integer (int64) | |||
imei | string | |||
imei2 | string | |||
serialNumber | string | |||
brand | string | |||
model | string | |||
reference | string | |||
color | string | |||
deviceType | string | |||
orderNumber | string | |||
providerDeliveryId | string | minLength: 1, maxLength: 50 | ||
loadDate | string (date) | |||
inputDate | string (date) | |||
createDate | string (date) | |||
updateDate | string (date) |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/inputs/details' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"order_number": "4000003264",
"provider_delivery_id": "3",
"input_date": "2009-01-13",
"details": [
{
"reference": "G034W54G2",
"model": "Samsung Galaxy Watch5 44mm BT Silver",
"color": "Plata",
"device_type": "SmartWatch",
"brand": "Samsung",
"quantity": 10,
"devices": [
{
"imei": "864467060074057",
"imei2": "864467060074057",
"serial_number": "RFAT73D511Z"
}
]
}
]
}' Get a list of all existing inputs with the query search , can be search by any parameters in an input, at least one parameter is needed to search
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
Page number for pagination
Page size for pagination
At least one of the next parameters in needed to search an input
{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
inputId | integer | min: 1 | ||
reference | string | |||
productId | integer | |||
amount | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate | string (date) | |||
orderOlId | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | |||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 0, maxLength: 50 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
pWarehouseId | integer | |||
comments | string |
OK Success
[
{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
inputId | integer | min: 1 | ||
reference | string | |||
productId | integer | |||
amount | integer | |||
orderId | string | |||
orderPositionId | integer | |||
inputDate | string (date) | |||
orderOlId | string | minLength: 1, maxLength: 50 | ||
inWarehousePrice | number | |||
courierBill | string | |||
billId | string | |||
receptionDate | string (date) | |||
incident | boolean | |||
facturable | boolean | |||
inWareHousePriceCurrency | string | minLength: 0, maxLength: 50 | ||
type | string | |||
ean | string | |||
billableCompany | string | |||
pWarehouseId | integer | |||
comments | string |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/inputs/search?page=1&size=10' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"inputId": 1,
"reference": 1,
"productId": 1,
"amount": 10,
"orderId": "1234ABCD",
"orderPositionId": 1,
"inputDate": "2021-09-24",
"orderOlId": 1,
"inWarehousePrice": 50.5,
"courierBill": 10,
"billId": "12ABC",
"receptionDate": "2021-09-24",
"incident": true,
"facturable": false,
"inWareHousePriceCurrency": "eu",
"type": 1,
"ean": 1,
"billableCompany": 1,
"pWarehouseId": 1,
"comments": "comments"
}' Get all entries related to input types.
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
OK Success
[
{
"typeId": 1,
"description": "description"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
typeId | integer | |||
description | string |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/inputtypes' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get a list of all outputs with the query search, can search by any parameters in a output, its necessary at least one query parameter
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Information needed to search an output
{
"outputId": 1,
"reference": "reference",
"productId": 1,
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
"salesType": "salesType",
"tenantGroupBrand": {
"id": 10,
"name": "masmovil"
},
"orderId": "1234ABCD",
"inWarehousePrice": 50,
"inWarehousePriceCurrency": "EUR"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
outputId | integer | ||||||||||||||||||
reference | string | ||||||||||||||||||
productId | integer | ||||||||||||||||||
vwarehouseId | integer | ||||||||||||||||||
pWarehouseId | integer | ||||||||||||||||||
amount | integer | ||||||||||||||||||
salesChannel | integer | ||||||||||||||||||
outputDate | string (date) | ||||||||||||||||||
regularization | boolean | ||||||||||||||||||
type | integer | ||||||||||||||||||
salesType | string | ||||||||||||||||||
tenantGroupBrand | object | ||||||||||||||||||
| |||||||||||||||||||
orderId | string | ||||||||||||||||||
inWarehousePrice | number | ||||||||||||||||||
inWarehousePriceCurrency | string | minLength: 3, maxLength: 3 | |||||||||||||||||
OK Success
[
{
"outputId": 1,
"reference": "reference",
"productId": 1,
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
"salesType": "salesType",
"tenantGroupBrand": {
"id": 10,
"name": "masmovil"
},
"orderId": "1234ABCD",
"inWarehousePrice": 50,
"inWarehousePriceCurrency": "EUR"
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
outputId | integer | ||||||||||||||||||
reference | string | ||||||||||||||||||
productId | integer | ||||||||||||||||||
vwarehouseId | integer | ||||||||||||||||||
pWarehouseId | integer | ||||||||||||||||||
amount | integer | ||||||||||||||||||
salesChannel | integer | ||||||||||||||||||
outputDate | string (date) | ||||||||||||||||||
regularization | boolean | ||||||||||||||||||
type | integer | ||||||||||||||||||
salesType | string | ||||||||||||||||||
tenantGroupBrand | object | ||||||||||||||||||
| |||||||||||||||||||
orderId | string | ||||||||||||||||||
inWarehousePrice | number | ||||||||||||||||||
inWarehousePriceCurrency | string | minLength: 3, maxLength: 3 | |||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/outputs/search' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"outputId": 1,
"reference": "reference",
"productId": 1,
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
"salesType": "salesType",
"tenantGroupBrand": {
"id": 10,
"name": "masmovil"
},
"orderId": "1234ABCD",
"inWarehousePrice": 50,
"inWarehousePriceCurrency": "EUR"
}' Get a list of all existing outputs grouped by product, warehouse and day
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
Grouping option. Valid options are {product_id_and_vwarehouse_id}
Page number for pagination, page and size must be used together
Page size for pagination, page and size must be used together
Initial date in iso format, from and to must be used together
Final date in iso format, from and to must be used together
OK Success
[
{
"reference": "ABCD123",
"productId": 1,
"vwarehouseId": 10,
"amount": 50,
"outputDate": "2021-09-24"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reference | string | |||
productId | integer | |||
vwarehouseId | integer | |||
amount | integer | |||
outputDate | string (date) |
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/outputs/grouped?by=product_id_and_vwarehouse_id&page=1&size=10&from=2025-05-05&to=2025-05-05' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get outputs by query params
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
QUERY PARAMETERS
product id
initial week in a year
final week in a year
output type
OK Success
[
{
"outputId": 1,
"reference": "reference",
"productId": 1,
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
"salesType": "salesType",
"tenantGroupBrand": {
"id": 10,
"name": "masmovil"
},
"orderId": "1234ABCD",
"inWarehousePrice": 50,
"inWarehousePriceCurrency": "EUR"
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
outputId | integer | ||||||||||||||||||
reference | string | ||||||||||||||||||
productId | integer | ||||||||||||||||||
vwarehouseId | integer | ||||||||||||||||||
pWarehouseId | integer | ||||||||||||||||||
amount | integer | ||||||||||||||||||
salesChannel | integer | ||||||||||||||||||
outputDate | string (date) | ||||||||||||||||||
regularization | boolean | ||||||||||||||||||
type | integer | ||||||||||||||||||
salesType | string | ||||||||||||||||||
tenantGroupBrand | object | ||||||||||||||||||
| |||||||||||||||||||
orderId | string | ||||||||||||||||||
inWarehousePrice | number | ||||||||||||||||||
inWarehousePriceCurrency | string | minLength: 3, maxLength: 3 | |||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X GET 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/outputs?product=1&from=012022&to=102022&type=1' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Insert an output
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Information needed to insert an output
{
"reference": "reference",
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"tenantGroupBrand": "tenant",
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
"salesType": "salesType",
"orderId": "1234ABCD",
"inWarehousePrice": 50,
"inWarehousePriceCurrency": "EUR"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
reference | string | maxLength: 50 | ||
vwarehouseId* | integer | |||
pWarehouseId | integer | |||
amount* | integer | |||
salesChannel | integer | |||
tenantGroupBrand* | string | tenant or group band | ||
outputDate* | string (date) | |||
regularization | boolean | |||
type | integer | |||
salesType | string | maxLength: 20 | ||
orderId | string | |||
inWarehousePrice | number | |||
inWarehousePriceCurrency | string | minLength: 3, maxLength: 3 |
OK Success
{
"outputId": 1,
"reference": "reference",
"productId": 1,
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
"salesType": "salesType",
"tenantGroupBrand": {
"id": 10,
"name": "masmovil"
},
"orderId": "1234ABCD",
"inWarehousePrice": 50,
"inWarehousePriceCurrency": "EUR"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
outputId | integer | ||||||||||||||||||
reference | string | ||||||||||||||||||
productId | integer | ||||||||||||||||||
vwarehouseId | integer | ||||||||||||||||||
pWarehouseId | integer | ||||||||||||||||||
amount | integer | ||||||||||||||||||
salesChannel | integer | ||||||||||||||||||
outputDate | string (date) | ||||||||||||||||||
regularization | boolean | ||||||||||||||||||
type | integer | ||||||||||||||||||
salesType | string | ||||||||||||||||||
tenantGroupBrand | object | ||||||||||||||||||
| |||||||||||||||||||
orderId | string | ||||||||||||||||||
inWarehousePrice | number | ||||||||||||||||||
inWarehousePriceCurrency | string | minLength: 3, maxLength: 3 | |||||||||||||||||
Bad Request Bad Request
{
"code": 2,
"subcode": 2000,
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Not Found Not found
{
"code": 4,
"subcode": 4001,
"message": "Resource not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
Internal Server Error Internal Server Error
{
"code": 5,
"subcode": 5001,
"message": "Internal server error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer | |||
subcode | integer | |||
message | string |
curl -X POST 'https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/outputs' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"reference": "reference",
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"tenantGroupBrand": "tenant",
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
"salesType": "salesType",
"orderId": "1234ABCD",
"inWarehousePrice": 50,
"inWarehousePriceCurrency": "EUR"
}' Get an output by its id
PATH PARAMETERS
Organization name as it is registered in Mas-Stack
Output id to update
OK Success
{
"outputId": 1,
"reference": "reference",
"productId": 1,
"vwarehouseId": 10,
"pWarehouseId": 10,
"amount": 50,
"salesChannel": 2,
"outputDate": "2021-09-24",
"regularization": true,
"type": 2,
[...]
